package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.userGroup.AddUserGroupReq;
import org.wcs.model.dto.serve.userGroup.UpdateGroupPermissionReq;
import org.wcs.model.dto.serve.userGroup.UpdateUserGroupReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.userGroup.QueryUserGroupPermissionResp;
import org.wcs.model.vo.serve.userGroup.QueryUserGroupResp;

import java.util.List;

public interface IUserGroupService {

    AppServeDataResponse<List<QueryUserGroupResp>> queryMinLevelUserGroup(); // 查询比自己用户组级别小的用户组
    AppServeDataResponse<List<QueryUserGroupPermissionResp>> queryUserGroupPermission(String userGroup); // 查询用户组权限
    AppServeResponse addUserGroup(AddUserGroupReq addUserGroupReq); // 添加用户组
    AppServeResponse deleteUserGroup(String userGroup); // 删除用户组
    AppServeResponse updateUserGroup(UpdateUserGroupReq updateUserGroupReq); // 删除用户
    AppServeResponse updateGroupPermission(UpdateGroupPermissionReq updateGroupPermissionReq); // 更新用户组的权限
}
